;;;;
;;;; Gtk-Server Example
;;;; By Leonardo Cecchi
;;;;

(defpackage :example-six
  (:use :common-lisp :gtk-server)
  (:export main))

(in-package :example-six)

(defun main ()
  "Example... made to put the screenshot on the
gtk-server wrapper homepage"
  (with-gtk-server '()
      (with-components ((win (window 0))
			(box (hbox 0 2))
			(img-left (image))
			(img-right (image))
			(lb (label "Gtk-Server rocks!")))
	(gtk_image_set_from_file img-left "lisplogo_warning_128.png")
	(gtk_image_set_from_file img-right "lisplogo_warning_128.png")
	(with-pack-in box
	  ((:fill 0 :expand 0 :padding 5) img-left)
	  ((:fill 0 :expand 0 :padding 5) lb)
	  ((:fill 0 :expand 0 :padding 5) img-right))
	(gtk_container_add win box)
	(gtk_window_set_title win "Gtk-Server Rocks")
	(gtk_widget_show_all win)
	;; Event loop
	(with-event-loop my-event
	  (win (return))))))
