(defpackage :example-eight
  (:use :common-lisp :gtk-server :gtk-server-components)
  (:export :main))
(in-package :example-eight)

(defun main ()
  "Funzione di test"
  (with-gtk-server '()
   (with-components 
    ((win (window 0))
     (bt-quit (button "Quit"))
     (bt-inserisci (button "Inserisci"))
     (bt-clear (button "Clear"))
     (bt-selection (button "Print Selection"))
     (hbox (hbox 0 2))
     (scroll (scrolledwindow))
     (treeview (my-list "Primo" "Secondo" "Terzo"))
     (vbox (vbox 0 2)))

    (gtk_container_add scroll treeview)
    (with-pack-in hbox
		  ((:padding 2 :fill 1 :expand 1) bt-quit)
		  ((:padding 2 :fill 1 :expand 1) bt-inserisci)
		  ((:padding 2 :fill 1 :expand 1) bt-clear)
		  ((:padding 2 :fill 1 :expand 1) bt-selection))
    (with-pack-in vbox
		  ((:padding 2 :fill 1 :expand 1) scroll)
		  ((:padding 2 :fill 0 :expand 0) hbox))
    (gtk_container_add win vbox)
    (gtk_window_set_title win "Finestra di prova")
    (gtk_window_set_default_size win 400 200)
    (gtk_widget_show_all win)
      
    (with-event-loop 
     my-event
     (win (return))
     (bt-clear
      (my-list-clear treeview))
     (bt-inserisci
      (my-list-add-row treeview "Test1" "Test2"))
     (bt-selection
      (show-info-dialog win
			(format nil "~a" (my-list-get-selection treeview))))
     (bt-quit (return))))))
