;;;;
;;;; Gtk-Server Example
;;;; By Leonardo Cecchi
;;;;

(defpackage :example-hello
  (:use :common-lisp :gtk-server)
  (:export :main))

(in-package :example-hello)

(defun main ()
  "The hello world example!!!"
  (with-gtk-server '()
      (with-components ((win (window 0))
			(lb (label "Hello GTK-Server World!")))
	(gtk_container_add win lb)
	(gtk_window_set_title win "Hello World")
	(gtk_widget_show_all win)
	(with-event-loop my-event
	  (win (return))))))
