;;;;
;;;; Gtk-Server Example
;;;; By Leonardo Cecchi
;;;;

(defpackage :example-one
  (:use :common-lisp :gtk-server)
  (:export :main))

(in-package :example-one)

(defun main ()
  (with-gtk-server '()
      (with-components ((win (window 0))
			(bt-ok (button "Ok"))
			(bt-cancel (button "Cancel"))
			(hbox (hbox 1 2))
			(vbox (vbox 0 2))
			(text (textview)))
	(gtk_window_set_title win "Window Title")
	(with-pack-in hbox
	  ((:padding 0 :fill 1 :expand 1) bt-ok)
	  ((:padding 0 :fill 1 :expand 1) bt-cancel))
	(with-pack-in vbox
	  ((:padding 2 :fill 1 :expand 1) text)
	  ((:padding 2 :fill 0 :expand 0) hbox))
	(gtk_text_view_set_text text "Hello from Me!")
	(gtk_container_add win vbox)
	(gtk_widget_show_all win)

	(with-event-loop my-event
	  (win
	   (return))
	  (bt-ok
	   (return))
	  (bt-cancel
	   (return))))))
